- name: Download XRT package
  ansible.builtin.get_url:
    url: "{{ low_cbf_alveo_url_base }}{{ low_cbf_alveo_xrt_package }}"
    dest: "{{ low_cbf_alveo_tmp.path }}/{{ low_cbf_alveo_xrt_package }}"
    mode: "0644"

- name: Download XRT package signature
  ansible.builtin.get_url:
    url: "{{ low_cbf_alveo_url_base }}{{ low_cbf_alveo_xrt_package }}.sig"
    dest: "{{ low_cbf_alveo_tmp.path }}/{{ low_cbf_alveo_xrt_package }}.sig"
    mode: "0644"

- name: Verify XRT package signature
  ansible.builtin.command: gpg --verify "{{ low_cbf_alveo_xrt_package }}.sig" "{{ low_cbf_alveo_xrt_package }}"
  args:
    chdir: "{{ low_cbf_alveo_tmp.path }}"
  changed_when: false

- name: Ensure XRT package is installed
  become: true
  ansible.builtin.package:
    deb: "{{ low_cbf_alveo_tmp.path }}/{{ low_cbf_alveo_xrt_package }}"
    state: present
    install_recommends: false
